.\" $XFree86: xc/programs/Xserver/hw/xfree86/input/wacom/wacom.man,v 1.2 2001/01/27 18:20:59 dawes Exp $ 
.\" shorthand for double quote that works everywhere.
.ds q \N'34'
.TH CALCOMP __drivermansuffix__ __vendorversion__
.SH NAME
calcomp \- Calcomp input driver
.SH SYNOPSIS
.nf
.B "Section \*qInputDevice\*q"
.BI "  Identifier \*q" idevname \*q
.B  "  Driver \*qcalcomp\*q"
.BI "  Option \*qDevice\*q   \*q" devpath \*q
\ \ ...
.B EndSection
.fi
.SH DESCRIPTION
.B calcomp
is an __xservername__ input driver for Calcomp devices.
.PP
The
.B calcomp
driver functions as a pointer input device, and may be used as the
X server's core pointer.
.SH SUPPORTED HARDWARE
This driver supports the Calcomp binary format used by the Drawing Board II
and III series.
.SH CONFIGURATION DETAILS
Please refer to __xconfigfile__(__filemansuffix__) for general configuration
details and for options that can be used with all input drivers.  This
section only covers configuration details specific to this driver.
.PP
Both the 3 button stylus and the 4- or 16 button lens cursors can be used
without changing the configuration file. Support for pressure sensitivity
has not been tested, so the solid-tip stylus will probably not work.
.PP
This device supports the following entries:
.RS 8
.TP 4
.B Option \fI"Device"\fP \fI"path"\fP
sets the path to the special file which represents the serial line where
the tablet is plugged. This option is mandatory.
.TP 4
.B Option \fI"Cursor"\fP \fI"Stylus"|"Puck"\fP
this option is supported for backward compatibility only, but it should
not be necessary.
.TP 4
.B Option \fI"DeviceName"\fP \fI"name"\fP
sets the name of the X device. Some user-space programs may require a fixed
name, e.g. TABLET,  to recognize the digitizer.
.TP 4
.B Option \fI"Mode"\fP \fI"Relative"|"Absolute"\fP
sets the mode of the device. Currently only Absolute mode is supported.
.TP 4
.B Option \fI"Pressure"\fP \fI"on"\fP
enables pressure reporting if your tablet supports it. This option is
untested and may not work.
.TP 4
.B Option \fI"AlwaysCore"\fP \fI"on"\fP
enables the sharing of the core pointer. When this feature is enabled, the
device will take control of the core pointer (and thus will emit core events)
and at the same time will be able, when asked so, to report extended events.
.TP 4
.B Option \fI"MinX"\fP \fI"number"\fP
X coordinate of the bottom left corner of the active zone.
.TP 4
.B Option \fI"MinY"\fP \fI"number"\fP
Y coordinate of the bottom left corner of the active zone.
.TP 4
.B Option \fI"MaxX"\fP \fI"Inumber"\fP
X coordinate of the top right corner of the active zone.
.TP 4
.B Option \fI"MaxY"\fP \fI"number"\fP
Y coordinate of the top right corner of the active zone.
.TP 4
.B Option \fI"DebugLevel"\fP \fInumber \fP
sets the level of debugging info reported.
.RE
.SH "SEE ALSO"
__xservername__(__appmansuffix__), __xconfigfile__(__filemansuffix__), xorgconfig(__appmansuffix__), Xserver(__appmansuffix__), X(__miscmansuffix__).
.SH AUTHORS
Martin Kroeker <mk@daveg.com>
